Subject: bug#15372: eshell gives environment variables high precedence

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Sep 2013 15:05:17 -0400

> I don't use eshell, so maybe this is how it is supposed to work, but
> from the point of view of normal shells, this seems wrong:
> foo=FOOBAR emacs -Q -f eshell
> eshell> for foo in 5 { echo $foo }
> -> FOOBAR

Sorry, I saw this email too late.  Yes, indeed, this should be a bug.

        Stefan